Bug 255237 - devel/py-importlib-metadata: Update 3.3.0 -> 4.0.0
Summary: devel/py-importlib-metadata: Update 3.3.0 -> 4.0.0
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL: https://github.com/python/importlib_m...
Keywords: needs-qa
Depends on:
Blocks: 255395
  Show dependency treegraph
 
Reported: 2021-04-19 21:45 UTC by Yuri Victorovich
Modified: 2021-05-05 14:49 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (swills)
koobs: merge-quarterly?


Attachments
patch (1.68 KB, patch)
2021-04-19 21:45 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2021-04-19 21:45:55 UTC
Created attachment 224265 [details]
patch
Comment 1 Yuri Victorovich freebsd_committer 2021-04-19 21:55:59 UTC
Patch should be merged into 2021Q2 because some packages are broken due to outdated devel/py-importlib-metadata, ex. security/py-keyring
Comment 2 p5B2E9A8F 2021-04-25 11:23:22 UTC
After py37-importlib-metadata-3.3.0_1 installed net-im/gajim is broken.

This is an ugly bug as it breaks peoples communication. 
Please edit severity from "Affects Only Me" to an appropriate one.

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/gajim/application.py", line 232, in _startup
    from gajim.gui_interface import Interface
  File "/usr/local/lib/python3.7/site-packages/gajim/gui_interface.py", line 63, in <module>
    from gajim.groupchat_control import GroupchatControl
  File "/usr/local/lib/python3.7/site-packages/gajim/groupchat_control.py", line 75, in <module>
    from gajim.gui.groupchat_settings import GroupChatSettings
  File "/usr/local/lib/python3.7/site-packages/gajim/gtk/groupchat_settings.py", line 23, in <module>
    from .settings import SettingsBox
  File "/usr/local/lib/python3.7/site-packages/gajim/gtk/settings.py", line 23, in <module>
    from gajim.common import passwords
  File "/usr/local/lib/python3.7/site-packages/gajim/common/passwords.py", line 33, in <module>
    backends = keyring.backend.get_all_keyring()
  File "/usr/local/lib/python3.7/site-packages/keyring/util/__init__.py", line 22, in wrapper
    func.always_returns = func(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/keyring/backend.py", line 214, in get_all_keyring
    _load_plugins()
  File "/usr/local/lib/python3.7/site-packages/keyring/backend.py", line 198, in _load_plugins
    for ep in metadata.entry_points(group='keyring.backends'):
TypeError: entry_points() got an unexpected keyword argument 'group'
Comment 3 Yuri Victorovich freebsd_committer 2021-04-25 15:51:08 UTC
devel/py-importlib-metadata is required to unbreak security/py-keyring, see bug#255395
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-26 01:09:58 UTC
(In reply to p5B2E9A8F from comment #2)

Please open a separate issue (regression) for this bug, this issue is for a version update
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-26 01:12:51 UTC
(In reply to Yuri Victorovich from comment #3)

Can you clarify the issue dependency, an issue cant block a closed issue.

I'm guessing bug 255050 is the real blocked issue here as bug 255395 was closed a dupe of it. Is that correct?
Comment 6 Yuri Victorovich freebsd_committer 2021-04-26 01:18:12 UTC
(In reply to Kubilay Kocak from comment #5)

The closed one is a duplicate.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-26 01:19:40 UTC
(In reply to Yuri Victorovich from comment #6)

Danke.
Comment 8 Steve Wills freebsd_committer 2021-04-26 02:31:57 UTC
It seems to me, the problem is the update to py-keyring in 38825393978e, which lacked the dependency on importlib-metadata and was done without checking the version of importlib-metadata.

And further it seems that what should happen to solve that is that that commit to update py-keyring should be reverted and PORTEPOCH bumped on py-keyring, for now.

Then, it should be re-done after importlib-metadata is updated, along with a further change to add a dependency on importlib-metadata to the py-keyring port.

But there's no need to MFH any of this, as the py-keyring update was done after the branch was created.

For reference:

https://github.com/jaraco/keyring/compare/18.0.1...v23.0.1#diff-fa602a8a75dc9dcc92261bac5f533c2a85e34fcceaff63b3a3a81d9acde2fc52R28

https://cgit.freebsd.org/ports/commit/?id=38825393978e4606227947eeefa062454e449b3e

https://cgit.freebsd.org/ports/tree/security/py-keyring/Makefile?h=2021Q2